GET /v1/tags
from metadata.sdk import configure
from metadata.sdk.entities import Tags
configure(
host="https://your-company.getcollate.io/api",
jwt_token="your-jwt-token"
)
# List first page
tags = Tags.list(limit=50)
for t in tags.data:
print(f"{t.fullyQualifiedName}")
# List all with auto-pagination
for t in Tags.list_all():
print(f"{t.fullyQualifiedName}")
# Filter by classification
tags = Tags.list(
parent="Certification",
fields=["owners", "children"],
limit=50
)
for t in tags.data:
print(f"{t.fullyQualifiedName}")
if t.style:
print(f" Color: {t.style.get('color')}")
import static org.openmetadata.sdk.fluent.Tags.*;
// List first page
var result = Tags.list()
.limit(50)
.execute();
for (var t : result.getData()) {
System.out.println(t.getFullyQualifiedName());
}
// Filter by classification with fields
var result = Tags.list()
.parent("Certification")
.fields("owners", "children")
.limit(50)
.execute();
# List all
curl "{base_url}/api/v1/tags?limit=50" \
-H "Authorization: Bearer {access_token}"
# Filter by classification
curl "{base_url}/api/v1/tags?parent=Certification&fields=owners,children&limit=50" \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
"name": "Bronze",
"fullyQualifiedName": "Certification.Bronze",
"description": "Bronze certified Data Asset.",
"style": {
"color": "#C08320"
},
"version": 0.1,
"updatedAt": 1769982619666,
"updatedBy": "admin",
"classification": {
"id": "06d90883-6be9-4f7e-9475-753f10a95e94",
"type": "classification",
"name": "Certification",
"fullyQualifiedName": "Certification",
"deleted": false
},
"deleted": false,
"owners": [],
"provider": "system",
"mutuallyExclusive": false
}
],
"paging": {
"after": "...",
"total": 3
}
}
List all tags with optional filtering and pagination
GET
/
v1
/
tags
GET /v1/tags
from metadata.sdk import configure
from metadata.sdk.entities import Tags
configure(
host="https://your-company.getcollate.io/api",
jwt_token="your-jwt-token"
)
# List first page
tags = Tags.list(limit=50)
for t in tags.data:
print(f"{t.fullyQualifiedName}")
# List all with auto-pagination
for t in Tags.list_all():
print(f"{t.fullyQualifiedName}")
# Filter by classification
tags = Tags.list(
parent="Certification",
fields=["owners", "children"],
limit=50
)
for t in tags.data:
print(f"{t.fullyQualifiedName}")
if t.style:
print(f" Color: {t.style.get('color')}")
import static org.openmetadata.sdk.fluent.Tags.*;
// List first page
var result = Tags.list()
.limit(50)
.execute();
for (var t : result.getData()) {
System.out.println(t.getFullyQualifiedName());
}
// Filter by classification with fields
var result = Tags.list()
.parent("Certification")
.fields("owners", "children")
.limit(50)
.execute();
# List all
curl "{base_url}/api/v1/tags?limit=50" \
-H "Authorization: Bearer {access_token}"
# Filter by classification
curl "{base_url}/api/v1/tags?parent=Certification&fields=owners,children&limit=50" \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
"name": "Bronze",
"fullyQualifiedName": "Certification.Bronze",
"description": "Bronze certified Data Asset.",
"style": {
"color": "#C08320"
},
"version": 0.1,
"updatedAt": 1769982619666,
"updatedBy": "admin",
"classification": {
"id": "06d90883-6be9-4f7e-9475-753f10a95e94",
"type": "classification",
"name": "Certification",
"fullyQualifiedName": "Certification",
"deleted": false
},
"deleted": false,
"owners": [],
"provider": "system",
"mutuallyExclusive": false
}
],
"paging": {
"after": "...",
"total": 3
}
}
List Tags
List all tags with optional filtering and pagination.Query Parameters
string
Filter by parent classification fully qualified name (e.g.,
Certification).integer
default:"10"
Maximum number of results to return (max: 1000000).
string
Cursor for backward pagination.
string
Cursor for forward pagination.
string
Comma-separated list of fields to include:
owners, children. See Supported Fields below.string
default:"non-deleted"
Include
all, deleted, or non-deleted entities.GET /v1/tags
from metadata.sdk import configure
from metadata.sdk.entities import Tags
configure(
host="https://your-company.getcollate.io/api",
jwt_token="your-jwt-token"
)
# List first page
tags = Tags.list(limit=50)
for t in tags.data:
print(f"{t.fullyQualifiedName}")
# List all with auto-pagination
for t in Tags.list_all():
print(f"{t.fullyQualifiedName}")
# Filter by classification
tags = Tags.list(
parent="Certification",
fields=["owners", "children"],
limit=50
)
for t in tags.data:
print(f"{t.fullyQualifiedName}")
if t.style:
print(f" Color: {t.style.get('color')}")
import static org.openmetadata.sdk.fluent.Tags.*;
// List first page
var result = Tags.list()
.limit(50)
.execute();
for (var t : result.getData()) {
System.out.println(t.getFullyQualifiedName());
}
// Filter by classification with fields
var result = Tags.list()
.parent("Certification")
.fields("owners", "children")
.limit(50)
.execute();
# List all
curl "{base_url}/api/v1/tags?limit=50" \
-H "Authorization: Bearer {access_token}"
# Filter by classification
curl "{base_url}/api/v1/tags?parent=Certification&fields=owners,children&limit=50" \
-H "Authorization: Bearer {access_token}"
{
"data": [
{
"id": "68ec158c-5f5e-4277-8a19-5e9e0cd5294f",
"name": "Bronze",
"fullyQualifiedName": "Certification.Bronze",
"description": "Bronze certified Data Asset.",
"style": {
"color": "#C08320"
},
"version": 0.1,
"updatedAt": 1769982619666,
"updatedBy": "admin",
"classification": {
"id": "06d90883-6be9-4f7e-9475-753f10a95e94",
"type": "classification",
"name": "Certification",
"fullyQualifiedName": "Certification",
"deleted": false
},
"deleted": false,
"owners": [],
"provider": "system",
"mutuallyExclusive": false
}
],
"paging": {
"after": "...",
"total": 3
}
}
Returns
Returns a paginated list of tag objects. By default, only basic fields are included. Use thefields parameter to request additional data.
Response
array
Array of tag objects.
Show properties
Show properties
string
Unique identifier for the tag (UUID format).
string
Tag name.
string
Fully qualified name of the tag.
object
Visual styling (color, icon).
object
Reference to the parent classification.
string
Provider:
user or system.array
List of owners. Only included when
fields contains owners.array
Child tag references. Only included when
fields contains children.object
Supported Fields
| Field | Description |
|---|---|
owners | Owner references (users and teams) |
children | Child tag references |
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
403 | FORBIDDEN | User lacks permission to list tags |
Was this page helpful?
⌘I